
#include "egg_TMCIT.h"

void setup(){
  /*
   */
  Serial.begin(115200);

  // リレー初期化
  pinMode(pinRelay, OUTPUT);
  digitalWrite(pinRelay, OFF);  // 最初はリレーオフ
  
  // LCD初期化
  lcd.begin(16, 2);// set up the LCD's number of columns and rows:
  //lcd.cursor();    // turn on the cursor:

  // 温度センサー初期化
  sensors.begin();


  
  // タッチセンサ初期化
  Wire.begin();             // needed by the GroveMultiTouch lib    
  touchsensor.initialize(); // initialize the feelers & initialize the containers 


  while( tempSet == 0) {                 // どのタッチセンサがタッチされたか？
    touchsensor.getTouchState();
    if (touchsensor.touched&(1<<0)) {        //3秒間センサ0にタッチ時 66℃に設定
      tempSet=67;
      int i=0;
      while ( tempSet && i<300 ){
        touchsensor.getTouchState();
        if ( !(touchsensor.touched&(1<<0)) ) tempSet=0;
        delay(10);
        i++;
      }
    } else if (touchsensor.touched&(1<<1)) { //3秒間センサ1にタッチ時
      tempSet=90;
      int i=0;
      while ( tempSet && i<300 ){
        touchsensor.getTouchState();
        if ( !(touchsensor.touched&(1<<1)) ) tempSet=0;
        delay(10);
        i++;
      }    
    } else if (touchsensor.touched&(1<<2)) { //3秒間センサ2にタッチ時
      tempSet=40;
      int i=0;
      while ( tempSet && i<300 ){
        touchsensor.getTouchState();
        if ( !(touchsensor.touched&(1<<2)) ) tempSet=0;
        delay(10);
        i++;
      }
    } else if (touchsensor.touched&(1<<3)) { //3秒間センサ3にタッチ時
      tempSet=40;
      int i=0;
      while ( tempSet && i<300 ){
        touchsensor.getTouchState();
        if ( !(touchsensor.touched&(1<<3)) ) tempSet=0;
        delay(10);
        i++;
      }
    }
  }

  

  /*
  */
  Serial.println("-----------------");
  Serial.print("tempSet=");
  //Serial.print("設定温度=");  //文字化けする
  Serial.println(tempSet);
  Serial.println("-----------------");
  
  digitalWrite(pinRelay, ON);  // リレーオン
  time_begin = millis();
  time_count = 5000;

  /*
  */
  //Serial.println(time_begin);
  Serial.println("time    temp");
  //Serial.println("時間  温度");  //文字化けする
  Serial.println("-----------------");

  sensors.requestTemperatures();
  temp = sensors.getTempCByIndex(0);



  
  /*
  */
  Serial.print((millis()-time_begin)/1000);
  //Serial.print("秒,");  //文字化けする
  //Serial.print(",");
  //Serial.print(millis());
  Serial.print(" sec    ");
  Serial.print(temp);
  Serial.println(" deg C");
  //Serial.print(temp);
  //Serial.println("℃");  //文字化けする

  //　　　　　　　　　　　　　　LCDへの表示
  //lcd.write(tempSet);
  lcd.print(tempSet);
  lcd.print(":");

  curPosition = 4;
  lcd.setCursor(curPosition, 0);
  lcd.print(" ");
  lcd.print(int((millis()-time_begin)/1000));

  lcd.setCursor(curPosition, 1);
  lcd.print(" ");
  lcd.print(int(temp+0.5));
  nMeas = 1;
  
}



void loop(){
  
  if( nMeas < 0 ) ;
  else if( millis()- time_begin >= time_max) {
    /*
    //Serial.print(time_max/1000);
    //Serial.print(", ");
    //Serial.print((millis()-time_begin)/1000);
    //Serial.println(" sec: ");
    Serial.println("finish");
    */

    
    digitalWrite(pinRelay, OFF);
    
    curPosition += nScroll;
    lcd.setCursor(curPosition, 0);
    lcd.print(" ");
    lcd.print("fin");

    lcd.setCursor(curPosition, 1);
    lcd.print("      ");
    lcd.print(int(temp+0.5));

    lcd.scrollDisplayLeft();
    lcd.scrollDisplayLeft();
    lcd.scrollDisplayLeft();
    lcd.scrollDisplayLeft();

    nMeas = -1;
     
  } else {
    sensors.requestTemperatures();
    temp = sensors.getTempCByIndex(0);
    if(temp >= tempSet) digitalWrite(pinRelay, OFF);  // 現在温度が設定温度以上ならリレーオフ
    else digitalWrite(pinRelay, ON);                  //そうじゃないならリレーオン

    if(millis()- time_begin >= time_count) {
      /*
      */
      Serial.print((millis()-time_begin)/1000);
      Serial.print(" sec    ");
      Serial.print(temp);
      Serial.println(" deg C");


      //　　　　　　　　　　　　　　LCDへの表示
      
      curPosition += nScroll;
      lcd.setCursor(curPosition, 0);
      lcd.print(" ");
      lcd.print(int((millis()-time_begin)/1000));

      lcd.setCursor(curPosition, 1);
      lcd.print(" ");
      lcd.print(int(temp+0.5));

      nMeas++;
      
      if ( nMeas > 21 ) {
        if ( (nMeas%10)==4 ) curPosition = -nScroll;
      } else if ( nMeas==21 ) {
        nScroll = 4;
      } else if ( nMeas==12 ) {
         curPosition = -nScroll;
      }


      if ( nMeas > 20) {
        lcd.print(" ");
        lcd.scrollDisplayLeft();
        lcd.scrollDisplayLeft();
        lcd.scrollDisplayLeft();
        lcd.scrollDisplayLeft();
      } else if ( nMeas > 4 ) {
        lcd.scrollDisplayLeft();
        lcd.scrollDisplayLeft();
        lcd.scrollDisplayLeft();
      }
      
      time_count+=5000;
    }
  }
  
  delay(10);
}
