#include <math.h>

#include <Wire.h> // I2C ライブラリ（タッチセンサーに必要）
#include <i2c_touch_sensor.h> // タッチセンサーライブラリ
#include <mpr121.h>
#include "rgb_lcd.h"

#include <OneWire.h> // One Wire ライブラリ（温度センサに必要）
#include <DallasTemperature.h>  // 温度センサーライブラリ





const int pinTemp = 5;                  // 温度センサを grove-D4 に接続（arduino D5端子）
OneWire oneWire(pinTemp);               // one wire オブジェクト
DallasTemperature sensors(&oneWire);    // Dallas Temperature IC オブジェクト

int tempSet;              // 設定温度：この温度に保つよう制御する。
float temp;               // 測定温度




const int pinRelay = 2;   // リレーを grove-D4 に接続（arduino D2 ではない）
const int ON = HIGH;
const int OFF = LOW;

unsigned long time_count = 1;           // 測定時間[ms]
unsigned long time_begin;               // 測定開始時間[ms]
const unsigned long time_max = 1200100;  // 測定終了時間[ms]




i2ctouchsensor touchsensor; // keep track of 4 pads' states




//                   LCD
rgb_lcd lcd;
int nMeas;       //現在の計測回数
int nScroll=3;   //左スクロール文字数
int curPosition; //仮想的なカーソルの位置
